Bug 350941 - Wrong entry in fstab
Wrong entry in fstab
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
Reported: 2007-10-24 13:58 EDT by George Beshers
Modified: 2008-08-06 16:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-06 16:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Beshers 2007-10-24 13:58:20 EDT
Description of problem:
  If I do a NFS install with the pxeboot files in /dev/sda3
  and do a custom disk layout with
    /dev/sdb2 => /boot/efi
    /dev/sdb4 => /
  the install works fine, the elilo.conf and other files in
  /dev/sdb2 are correct, but after the system comes up I found
  that /dev/sda3 was mounted /boot/efi -- that is the vfat
  partition where the install was initiated from rather than
  the vfat partition requested in Anaconda.

Version-Release number of selected component (if applicable):

How reproducible:
  I verified the behavior with a slightly different scenario
  so it should be every time.

Steps to Reproduce:
1. Install via pxe from a vfat partition
2. Request another vfat partition be /boot/efi in custom disk layout
Actual results:
  The install vfat partition, which was *not* even mounted in
  custom disk layout was mounted as /boot/efi

Expected results:
  Anaconda would follow directions :/.

Additional info:
Comment 1 Andy Lindeberg 2008-06-03 16:10:58 EDT
Does this continue to be a problem in Fedora 9?

Note You need to log in before you can comment on or make changes to this bug.